Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 586869 - Remove abandoned and unbuildable extensions/jssh
: Remove abandoned and unbuildable extensions/jssh
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla2.0b8
Assigned To: Phil Ringnalda (:philor)
Depends on:
Blocks: 536237
  Show dependency treegraph
Reported: 2010-08-12 20:58 PDT by Till M
Modified: 2010-12-11 13:27 PST (History)
2 users (show)
philringnalda: in‑testsuite+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

rm (108.49 KB, patch)
2010-12-10 23:28 PST, Phil Ringnalda (:philor)
ted: review+
ted: approval2.0+
Details | Diff | Splinter Review

Description Till M 2010-08-12 20:58:11 PDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:2.0b3pre) Gecko/20100802 Firefox/4.0b2pre
Build Identifier: 

Jssh built in server extension missing manifest file

/bu/extract/mozilla-central/config/ *** .js component without matching .manifest.  Stop.

Reproducible: Always

Steps to Reproduce:
1. Build mozilla-central with ac_add_options --enable-extensions=default,jssh
Actual Results:  
Doesn't Work!

Expected Results:  
Should Work!

Would be absolutely fantastic if this could be fixed pronto, just wishing out a loud :)
Comment 1 Ted Mielczarek [:ted.mielczarek] 2010-08-13 05:09:26 PDT
We should probably just remove jssh from the repository. AFAIK it's unowned code.
Comment 2 Till M 2010-08-15 00:25:19 PDT
Well that sucks.  Surely someone here can just update it to work with the new way Firefox 4.0 handles extensions.  It works beautifully in beta 2.
I'd do it myself if I new how, but I have no idea how any of his stuff works and the docs are all old :(
Comment 3 Ted Mielczarek [:ted.mielczarek] 2010-08-16 06:04:41 PDT
Someone could, but it's not something we care about. If someone wants to maintain it, they'd be better off with it in a separate repository, not in mozilla-central. The fact that it exists there at all is a historical accident.
Comment 4 Phil Ringnalda (:philor) 2010-12-10 23:28:10 PST
Created attachment 497041 [details] [diff] [review]

Pretty much what I was going to say in the bug I was going to file before I saw this one: it died sometime between 2006 and 2008, and its not going to come back to life while it's still in the tree.
Comment 5 Ted Mielczarek [:ted.mielczarek] 2010-12-11 07:43:56 PST
Technically you could just use a=NPOTB, since this totally qualifies.
Comment 6 Phil Ringnalda (:philor) 2010-12-11 13:27:12 PST

Probably obvious to anyone who ought to be trying to maintain jssh, but, to get it back all you have to do is "hg up -r 3ca5d6674feb" and copy it to wherever you're going to work on it.

Note You need to log in before you can comment on or make changes to this bug.